Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
tree: 9bec2d5993
Fetching contributors…

Cannot retrieve contributors at this time

93 lines (92 sloc) 3.392 kb
<?xml version="1.0"?>
<project
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
xmlns="http://maven.apache.org/POM/4.0.0"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<modelVersion>4.0.0</modelVersion>
<groupId>rubygems</groupId>
<artifactId>datamapper4rails</artifactId>
<version>0.5.0</version>
<packaging>gem</packaging>
<name><![CDATA[collection of datamapper related extensions]]></name>
<description><![CDATA[collection of datamapper related extensions. mostly needed to run within rails. the restful transactions is around filter for rails actions if needed to control such transaction on per action base otherwise use the rack extension from rack-datamapper. datamapper store is a session store for rails which uses datamapper as persistent layer and is just a wrapper around the datamapper session store from rack-datamapper. the generators produces datamapper models for your rails application.]]></description>
<url>http://datamapper4rail.rubyforge.org</url>
<developers>
<developer>
<id>m.kristian</id>
<name>mkristian</name>
<email>m.kristian@web.de</email>
</developer>
</developers>
<licenses>
</licenses>
<dependencies>
<dependency>
<groupId>rubygems</groupId>
<artifactId>rack-datamapper</artifactId>
<version>[0.3.0,0.3.99999.99999)</version>
<type>gem</type>
<scope>compile</scope>
</dependency>
<dependency>
<groupId>rubygems</groupId>
<artifactId>rspec</artifactId>
<version>[1.3.0,1.3.99999.99999)</version>
<type>gem</type>
<scope>test</scope>
</dependency>
</dependencies>
<repositories>
<repository>
<id>rubygems</id>
<url>http://gems.saumya.de/releases</url>
</repository>
</repositories>
<pluginRepositories>
<pluginRepository>
<id>sonatype-nexus-snapshots</id>
<name>Sonatype Nexus Snapshots</name>
<url>http://oss.sonatype.org/content/repositories/snapshots</url>
</pluginRepository>
</pluginRepositories>
<properties>
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
<jruby.plugins.version>0.20.0-SNAPSHOT</jruby.plugins.version>
</properties>
<build>
<plugins>
<plugin>
<groupId>de.saumya.mojo</groupId>
<artifactId>gem-maven-plugin</artifactId>
<version>${jruby.plugins.version}</version>
<extensions>true</extensions>
<configuration>
<date>2010-06-20</date>
<extraRdocFiles>History.txt,Manifest.txt,README.txt</extraRdocFiles>
<rdocOptions>--main,README.txt</rdocOptions>
<requirePaths>lib</requirePaths>
<rubyforgeProject>datamapper4rail</rubyforgeProject>
<rubygemsVersion>1.3.5</rubygemsVersion>
</configuration>
</plugin>
<plugin>
<groupId>de.saumya.mojo</groupId>
<artifactId>rspec-maven-plugin</artifactId>
<version>${jruby.plugins.version}</version>
<executions>
<execution>
<goals><goal>test</goal></goals>
</execution>
</executions>
</plugin>
<plugin>
<artifactId>maven-compiler-plugin</artifactId>
<version>2.0.2</version>
<configuration>
<source>1.5</source>
<target>1.5</target>
</configuration>
</plugin>
</plugins>
</build>
</project>
Jump to Line
Something went wrong with that request. Please try again.